<?php
session_start();
// require('../cfg/cfg.php');
// require('../cfg/res.php');
include('../_cfg/config.php');
include('php_gene1.php'); 
include('php_session.php');


if(file_exists('../_cfg/config.php')){include('../_cfg/config.php');}
$tipo=$_POST['ptipo']; 
$ffile=$_POST['ffile']; 
$ffile2=substr($ffile,0,48);

// echo '*/*/*/*/'.$tipo;

if($tipo=='clac')
{
	if($_SESSION['user_cedula']=='0915379374'){$ffile=$ffile2.val_mod11($ffile2);}
	
	if(val_clac($ffile))
	{
 
		$msj ='<div style="font-family:courier new; font-size:14px;">';
		$msj.='<hr>';
		$msj.=' Clave : '.$ffile.'<br>';	
		echo $msj;	
		echo upl_cexml($ffile);
	}
	else
	{
		$msj ='<div style="font-family:courier new; font-size:14px;">';
		$msj.='<hr>';
		$msj.=' Clave : '.$ffile.' ==> NO VALIDA<br>'. val_clac($ffile);	
		echo $msj;	
	}
}

if($tipo=='.xml')
{
	if($_FILES['ffile']['type']!='text/xml'){die();}
	$n_original=$_FILES['ffile']['name'];
	$n_tempo=$_FILES['ffile']['tmp_name'];

	$msj ='<div style="font-family:courier new; font-size:14px;">';
	$msj.='<hr>';
// 			$msj.='*** COMPROBANTE OK ***'.'<br>';
	$msj.='<br>'.' Archivo : '.$n_original.'<br>';	
	
	echo $msj;	
	
	$DOM1 = new DOMDocument('1.0', 'utf-8');
	$DOM2 = new DOMDocument('1.0', 'utf-8');
	$xml1=file_get_contents($n_tempo);
	$DOM1->loadXML($xml1);
	$numautor=$DOM1->getElementsByTagName('numeroAutorizacion')->item(0)->nodeValue;
	$claveacc=$DOM1->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
  
  $xml2=$DOM1->getElementsByTagName('comprobante')->item(0)->nodeValue;

//   $xml2=str_replace('<![CDATA[','',$xml2);
//   $xml2=str_replace(']]','',$xml2);
//   $xml2=str_replace('\n','',$xml2);
//   $xml2=str_replace('\r','',$xml2);
  $xml2=str_replace("\n",'',$xml2);
  $xml2=str_replace("\r",'',$xml2);
//   $xml2=str_replace(chr(13),'',$xml2);
  //   if(substr($numautor,8,2)=='07' or substr($claveacc,8,2)=='07')  
//   if(mb_stristr($xml1,'comprobanteRetencion'))
//   {$xml2=$DOM1->getElementsByTagName('comprobanteRetencion')->item(0)->nodeValue;}
  // 	$docu="";
//   echo '*****'.$xml2;
    
	if($claveacc==""){$DOM2->loadXML($xml2);}
	else{$DOM2->loadXML($xml1);}
	
	$claveacc=$DOM2->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
	if(val_clac($claveacc))
	{
    $subdce=mk_subdce($claveacc);
		$n_destino=$rutace.$subdce.$claveacc.'.xml';
		if(move_uploaded_file($n_tempo, $n_destino))
		{
			echo upl_cexml($claveacc);
			$msj ='';
			$msj.='</div>'.'<br>';	
			echo $msj;
		}
		else
		{echo 'Error en Archivo'.strtoupper($n_original);}
	}
	
}

if($tipo=='.txt')
{
	$msj ='<div style="font-family:courier new; font-size:14px;">';
	$msj.='<hr>';
	echo $msj;
	
	$n_original=$_FILES['ffile']['name'];
	$n_tempo=$_FILES['ffile']['tmp_name'];
	$n_destino=$rutace.$n_original;
	if($_FILES['ffile']['type']!='text/plain'){die('<br>'.'Formato NO VALIDO :'.strtoupper($n_original));}
	if(move_uploaded_file($n_tempo, $n_destino))
	{
		echo '<br>'.'Cargo Archivo : '.strtoupper($n_original); 
		echo upl_claves($n_original);
	}
	else
	{echo '<br>'.'Error en Archivo'.strtoupper($n_original);}
	
}

if($tipo=='full')
{
	echo '<br>'.'Cargando Datos....FULL....';
	echo upl_claves2();
	echo fill_autornum();
}

return;


?>







